Need to upgrade libxml2 to 2.7.3

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

Need to upgrade libxml2 to 2.7.3

Postby stuzog » 05. June 2009 04:34

I'm having a problem in that XAMPP is stripping out all angle brackets and ampersands from my blog posts when I upload them to my localhost server using XMLRPC. Apparently, the cause is that XAMPP uses PHP 5.2.9 and libxml2 2.7.2, which produce this bug. According to this post, XAMPP needs its libxml2 to be upgraded to 2.7.3 to be working properly:

http://josephscott.org/archives/2009/03 ... bxml2-273/

Could this be done asap? I'm hooped for blog development until that happens and I don't know enough to do it myself.

Thanks for this great package!
Stuart Hertzog
writing, editing, Internet

<stuart@stuzog.com>
<http://greenpolitics.ca>
stuzog
 
Posts: 6
Joined: 22. August 2007 05:13
Location: Victoria, BC Canada

Re: Need to upgrade libxml2 to 2.7.3

Postby stuzog » 08. June 2009 23:25

A temporary fix for this issue is to use a plugin developed specially to circumvent this bug. It's at:

http://wordpress.org/extend/plugins/libxml2-fix/

Of course, the best fix would be to compile XAMPP with the correct libxml-2. MarsEdit users would thank you for that!
Stuart Hertzog
writing, editing, Internet

<stuart@stuzog.com>
<http://greenpolitics.ca>
stuzog
 
Posts: 6
Joined: 22. August 2007 05:13
Location: Victoria, BC Canada


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 3 guests

cron